#ifndef EXMAN_H_
#define EXMAN_H_

#include <vector>
#include "exhibit.h"
#include "metascene.h"

class ExhibitManager {
private:
	std::vector<Exhibit*> items;

public:
	ExhibitManager();
	~ExhibitManager();

	void clear();

	void add(Exhibit *ex);
	bool remove(Exhibit *ex);

	bool load(MetaScene *mscn, const char *fname);

	ExSelection select(const Ray &ray) const;
	ExSelection select(const Sphere &sph) const;

	void update(float dt = 0.0f);
	void draw() const;
};

#endif	// EXMAN_H_
